<?php
session_start();
//RESTRICCIN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL)
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
include ("../fphp.php");
$enlace=cargar_conexion();

$id_novedad = $_POST['id_novedad'];
$sql="SELECT * from novedades where id_novedad='$id_novedad' AND id=".$_SESSION['id_validar']."";
$result=mysql_query($sql);
$row = mysql_fetch_assoc($result);
//Pobla resultados en variables
$id_novedad = $row['id_novedad'];
$estado_novedad = $row['estado_novedad'];
$fecha_inicio_novedad = $row['fecha_inicio_novedad'];
$fecha_fin_novedad = $row['fecha_fin_novedad'];
$hora_ingreso = date("H:i" , strtotime($row['hora_ingreso']));
$hora_salida = date("H:i" , strtotime($row['hora_salida']));
$remunerado = $row['remunerado'];
$tiempo_viaje = $row['tiempo_viaje'];
$clase_ausencia = $row['clase_ausencia'];
$ausencia_programada = $row['ausencia_programada'];
$justificacion_ausencia = $row['justificacion_ausencia'];
$validado_por_sso = $row['validado_por_sso'];
$tipo_permiso = $row['tipo_permiso'];
$motivo = $row['motivo'];
$cargado_por = ucwords(strtolower($row['cargado_por']));
$autorizado_por = ucwords(strtolower($row['autorizado_rechazado_por']));
$fecha_registro_novedad = $row['fecha_registro'];

//Datos que vengan vacios los imprime con -
$fecha_inicio_novedad = (($fecha_inicio_novedad=='')||($fecha_inicio_novedad=='NULL')) ? '-' :  $fecha_inicio_novedad;
$fecha_fin_novedad = (($fecha_fin_novedad=='')||($fecha_fin_novedad=='NULL')) ? '-' :  $fecha_fin_novedad;
$hora_ingreso = (($hora_ingreso=='')||($hora_ingreso=='NULL')) ? '-' :  $hora_ingreso;
$hora_salida = (($hora_salida=='')||($hora_salida=='NULL')) ? '-' :  $hora_salida;
$remunerado = (($remunerado=='')||($remunerado=='NULL')) ? '-' :  $remunerado;
$tiempo_viaje = (($tiempo_viaje=='')||($tiempo_viaje=='NULL')) ? '-' :  $tiempo_viaje;
$clase_ausencia = (($clase_ausencia=='')||($clase_ausencia=='NULL')) ? '-' :  $clase_ausencia;
$ausencia_programada = (($ausencia_programada=='')||($ausencia_programada=='NULL')) ? '-' :  $ausencia_programada;
$justificacion_ausencia = (($justificacion_ausencia=='')||($justificacion_ausencia=='NULL')) ? '-' :  $justificacion_ausencia;
$validado_por_sso = (($validado_por_sso=='')||($validado_por_sso=='NULL')) ? '-' :  $validado_por_sso;
$tipo_permiso = (($tipo_permiso=='')||($tipo_permiso=='NULL')) ? '-' :  $tipo_permiso;
$motivo = (($motivo=='')||($motivo=='NULL')) ? '-' :  $motivo;
$cargado_por = (($cargado_por=='')||($cargado_por=='NULL')) ? '-' :  $cargado_por;
$autorizado_por = (($autorizado_por=='')||($autorizado_por=='NULL')) ? '-' :  $autorizado_por;

switch ($row['justificacion_ausencia']) {
	case 'falta_injustificada':
		$justificacion_ausencia_imprimir='Falta injustificada';
		break;
	case 'falta_justificada':
		$justificacion_ausencia_imprimir='Falta justificada';
		break;
	case 'paralizacion_planta':
		$justificacion_ausencia_imprimir='GR - Paralización de planta';
		break;
	case 'parada_fuerzam_tipo_viaje':
		$justificacion_ausencia_imprimir='GJ - Parada planta fuerza mayor tiempo de viaje';
		break;
	case 'permiso':
		$justificacion_ausencia_imprimir='Permiso';
		break;
}

switch ($row['tipo_permiso']) {
	case 'tramite_personal':
		$tipo_permiso_imprimir="Claus19-Trámite personal";
		break;
	case 'examenes_medicos':
		$tipo_permiso_imprimir="Claus20-Examenes Médicos";
		break;
	case 'eventos_culturales':
		$tipo_permiso_imprimir="Claus21-Eventos Cultur/Deport";
		break;
	case 'servicio_militar':
		$tipo_permiso_imprimir="Claus22-Servicio Civil O Militar";
		break;
	case 'detenciones':
		$tipo_permiso_imprimir="Claus23-Detenciones (Suspensión)";
		break;
	case 'matrimonio':
		$tipo_permiso_imprimir="Claus41-Matrimonio";
		break;
	case 'defuncion_familiar':
		$tipo_permiso_imprimir="Claus42-Defunción Familiar";
		break;
	case 'eventos_sindicales':
		$tipo_permiso_imprimir="Claus72-Eventos sindicales";
		break;
	case 'control_prenatal':
		$tipo_permiso_imprimir="Control prenatal";
		break;
	case 'control_pediatrico_hijo':
		$tipo_permiso_imprimir="Control pediatrico de hijo";
		break;
	case 'descanso_compensatorio':
		$tipo_permiso_imprimir="Descanso compensatorio";
		break;
	case 'licencia_paternidad':
		$tipo_permiso_imprimir="Licencia de parternidad";
		break;
	case 'nacimiento_hijo':
		$tipo_permiso_imprimir="Nacimiento de un hijo";
		break;
	case 'salida_con_retorno':
		$tipo_permiso_imprimir="SR - Salida con retorno";
		break;
}


$response = "<table border='0' width='100%'>";

switch ($_POST['tipo_novedad']) {
  case 'horas_extras':
		$response .= "<tr>";
		$response .= "<td width='40%'><b>Estado Novedad:<b/></td><td>".$estado_novedad."</td>";
		$response .= "</tr>";

    $response .= "<tr>";
    $response .= "<td width=''><b>Fecha Novedad:<b/></td><td>".$fecha_inicio_novedad."</td>";
    $response .= "</tr>";

    $response .= "<tr>";
    $response .= "<td><b>Hora Ingreso:</b> </td><td>".$hora_ingreso."</td>";
    $response .= "</tr>";

    $response .= "<tr>";
    $response .= "<td><b>Hora Salida:</b> </td><td>".$hora_salida."</td>";
    $response .= "</tr>";

    $response .= "<tr>";
    $response .= "<td><b>Motivo:</b> </td><td>".$motivo."</td>";
    $response .= "</tr>";

    $response .= "<tr>";
    $response .= "<td><b>Cargado Por: </b></td><td>".$cargado_por."</td>";
    $response .= "</tr>";

    $response .= "<tr>";
    $response .= "<td><b>Aprobado / Rechazado Por: </b></td><td>".$autorizado_por."</td>";
    $response .= "</tr>";
    break;
  case 'retardos':
		$response .= "<tr>";
		$response .= "<td width='40%'><b>Estado Novedad:<b/></td><td>".$estado_novedad."</td>";
		$response .= "</tr>";

    $response .= "<tr>";
    $response .= "<td width='40%'><b>Fecha Novedad:<b/></td><td>".$fecha_inicio_novedad."</td>";
    $response .= "</tr>";

    $response .= "<tr>";
    $response .= "<td><b>Hora Ingreso:</b> </td><td>".$hora_ingreso."</td>";
    $response .= "</tr>";

    $response .= "<tr>";
    $response .= "<td><b>Remunerado:</b> </td><td>".$remunerado."</td>";
    $response .= "</tr>";

    $response .= "<tr>";
    $response .= "<td><b>Tiempo de viaje:</b> </td><td>".$tiempo_viaje."</td>";
    $response .= "</tr>";

    $response .= "<tr>";
    $response .= "<td><b>Motivo:</b> </td><td>".$motivo."</td>";
    $response .= "</tr>";

    $response .= "<tr>";
    $response .= "<td><b>Cargado Por: </b></td><td>".$cargado_por."</td>";
    $response .= "</tr>";

    $response .= "<tr>";
    $response .= "<td><b>Aprobado / Rechazado Por: </b></td><td>".$autorizado_por."</td>";
    $response .= "</tr>";
    break;
  case 'salida_anticipada':
		$response .= "<tr>";
		$response .= "<td width='40%'><b>Estado Novedad:<b/></td><td>".$estado_novedad."</td>";
		$response .= "</tr>";

    $response .= "<tr>";
    $response .= "<td width='40%'><b>Fecha Novedad:<b/></td><td>".$fecha_inicio_novedad."</td>";
    $response .= "</tr>";

    $response .= "<tr>";
    $response .= "<td><b>Hora Salida:</b> </td><td>".$hora_salida."</td>";
    $response .= "</tr>";

    $response .= "<tr>";
    $response .= "<td><b>Remunerado:</b> </td><td>".$remunerado."</td>";
    $response .= "</tr>";

    $response .= "<tr>";
    $response .= "<td><b>Motivo:</b> </td><td>".$motivo."</td>";
    $response .= "</tr>";

    $response .= "<tr>";
    $response .= "<td><b>Cargado Por: </b></td><td>".$cargado_por."</td>";
    $response .= "</tr>";

    $response .= "<tr>";
    $response .= "<td><b>Aprobado / Rechazado Por: </b></td><td>".$autorizado_por."</td>";
    $response .= "</tr>";
    break;
  case 'ausencias':
			$response .= "<tr>";
			$response .= "<td width='40%'><b>Estado Novedad:<b/></td><td>".$estado_novedad."</td>";
			$response .= "</tr>";
      if ($clase_ausencia == 'Fuerza Mayor AJ'){
        $response .= "<tr>";
        $response .= "<td width='40%'><b>Clase de Ausencia:<b/></td><td>".ucwords($clase_ausencia)."</td>";
        $response .= "</tr>";

        $response .= "<tr>";
        $response .= "<td width='40%'><b>Fecha inicio Novedad:<b/></td><td>".$fecha_inicio_novedad."</td>";
        $response .= "</tr>";

        $response .= "<tr>";
        $response .= "<td width='40%'><b>Fecha fin Novedad:<b/></td><td>".$fecha_fin_novedad."</td>";
        $response .= "</tr>";

        $response .= "<tr>";
        $response .= "<td width='40%'><b>Remunerado:<b/></td><td>".$remunerado."</td>";
        $response .= "</tr>";

        $response .= "<tr>";
        $response .= "<td width='40%'><b>Tiempo de viaje:<b/></td><td>".$tiempo_viaje."</td>";
        $response .= "</tr>";

      }else if ($clase_ausencia == 'ausencia_medica'){
        //Muestra variable imprimible
        if ($clase_ausencia == 'ausencia_medica'){
          $clase_ausencia = 'Ausencia Médica';
        }
        $response .= "<tr>";
        $response .= "<td width='40%'><b>Clase de Ausencia:<b/></td><td>".ucwords($clase_ausencia)."</td>";
        $response .= "</tr>";

        $response .= "<tr>";
        $response .= "<td width='40%'><b>Fecha inicio Novedad:<b/></td><td>".$fecha_inicio_novedad."</td>";
        $response .= "</tr>";

        $response .= "<tr>";
        $response .= "<td width='40%'><b>Fecha fin Novedad:<b/></td><td>".$fecha_fin_novedad."</td>";
        $response .= "</tr>";

        $response .= "<tr>";
        $response .= "<td width='40%'><b>Validado por SSO:<b/></td><td>".$validado_por_sso."</td>";
        $response .= "</tr>";

        $response .= "<tr>";
        $response .= "<td width='40%'><b>Remunerado:<b/></td><td>".$remunerado."</td>";
        $response .= "</tr>";

        $response .= "<tr>";
        $response .= "<td width='40%'><b>Tiempo de viaje:<b/></td><td>".$tiempo_viaje."</td>";
        $response .= "</tr>";

      }else if ($clase_ausencia == 'otra'){
        $response .= "<tr>";
        $response .= "<td width='40%'><b>Clase de Ausencia:<b/></td><td>".ucwords($clase_ausencia)."</td>";
        $response .= "</tr>";

        $response .= "<tr>";
        $response .= "<td width='40%'><b>Fecha inicio Novedad:<b/></td><td>".$fecha_inicio_novedad."</td>";
        $response .= "</tr>";

        $response .= "<tr>";
        $response .= "<td width='40%'><b>Fecha fin Novedad:<b/></td><td>".$fecha_fin_novedad."</td>";
        $response .= "</tr>";

        $response .= "<tr>";
        $response .= "<td width='40%'><b>Ausencia programada:<b/></td><td>".$ausencia_programada."</td>";
        $response .= "</tr>";

        $response .= "<tr>";
        $response .= "<td width='40%'><b>Justificación de ausencia:<b/></td><td>".$justificacion_ausencia_imprimir."</td>";
        $response .= "</tr>";

        if ($justificacion_ausencia=='falta_injustificada'){
          //No imprime nada
        }else{
          $response .= "<tr>";
          $response .= "<td width='40%'><b>Remunerado:<b/></td><td>".$remunerado."</td>";
          $response .= "</tr>";

          $response .= "<tr>";
          $response .= "<td width='40%'><b>Tiempo de viaje:<b/></td><td>".$tiempo_viaje."</td>";
          $response .= "</tr>";
        }

        if ($justificacion_ausencia=='permiso'){
          $response .= "<tr>";
          $response .= "<td width='40%'><b>Tipo de permiso:<b/></td><td>".$tipo_permiso_imprimir."</td>";
          $response .= "</tr>";

          if ($tipo_permiso=='salida_con_retorno'){
            $response .= "<tr>";
            $response .= "<td><b>Hora Salida:</b> </td><td>".$hora_salida."</td>";
            $response .= "</tr>";

            $response .= "<tr>";
            $response .= "<td><b>Hora Ingreso:</b> </td><td>".$hora_ingreso."</td>";
            $response .= "</tr>";
          }
        }
      }
      $response .= "<tr>";
      $response .= "<td><b>Motivo:</b> </td><td>".$motivo."</td>";
      $response .= "</tr>";

      $response .= "<tr>";
      $response .= "<td><b>Cargado Por: </b></td><td>".$cargado_por."</td>";
      $response .= "</tr>";

      $response .= "<tr>";
      $response .= "<td><b>Aprobado / Rechazado Por: </b></td><td>".$autorizado_por."</td>";
      $response .= "</tr>";
      break;
  default:
    // code...
    break;
}
$response .= "<tr><td></td></tr><tr><td></td></tr><tr><td></td></tr>";
$response .= "<tr>";
$response .= "<td></td>";
$response .= "<td colspan= '2' align ='right' style = 'font-style: italic;'>Fecha de última actualización: ".$fecha_registro_novedad."</td>";
$response .= "</tr>";
$response .= "</table>";
echo $response;

mysql_free_result($result);
mysql_close($enlace);
exit;
?>
